Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.common
Class XPathEvaluator

    java.lang.Object
      com.servingxml.components.common.XPathEvaluator

All Implemented Interfaces:
  ValueEvaluator

    public class XPathEvaluator

extends java.lang.Object
implements ValueEvaluator

Field Summary

Fields inherited from interface com.servingxml.components.common.ValueEvaluator
`EMPTY, NULL`

Constructor Summary
`XPathEvaluator(XPathExpressionFactory exprFactory)`
`XPathEvaluator(XPathExpressionFactory exprFactory, Content content)`

Method Summary
`Value` | `bindValue(ServiceContext context, Flow flow)`
`java.lang.String` | `evaluateString(ServiceContext context, Flow flow)`
`java.lang.String[]` | `evaluateStringArray(ServiceContext context, Flow flow)`
`Value` | `evaluateValue(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathEvaluator

    public XPathEvaluator(XPathExpressionFactory exprFactory)

### XPathEvaluator

    public XPathEvaluator(XPathExpressionFactory exprFactory,
                          Content content)

Method Detail

### bindValue

    public Value bindValue(ServiceContext context,
                           Flow flow)

  Specified by:
    `bindValue` in interface `ValueEvaluator`

### evaluateString

    public java.lang.String evaluateString(ServiceContext context,
                                           Flow flow)

  Specified by:
    `evaluateString` in interface `ValueEvaluator`

### evaluateStringArray

    public java.lang.String[] evaluateStringArray(ServiceContext context,
                                                  Flow flow)

  Specified by:
    `evaluateStringArray` in interface `ValueEvaluator`

### evaluateValue

    public Value evaluateValue(ServiceContext context,
                               Flow flow)

  Specified by:
    `evaluateValue` in interface `ValueEvaluator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD